NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.CircularFrameBuilder Class Reference

Represents a NXOpen.GeometricUtilities.CircularFrameBuilder More...

Inheritance diagram for NXOpen.GeometricUtilities.CircularFrameBuilder:
NXOpen.GeometricUtilities.ShapeFrameBuilder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Subtypes { Arbitrary, Half, Quarter, Full }
 Represents the circular frame subtypes More...
 
- Public Types inherited from NXOpen.GeometricUtilities.ShapeFrameBuilder
enum  AnchorAttachmentType {
  None, Center, Vertex1, Vertex2,
  Vertex3, Vertex4
}
 Represents the anchor attachment type More...
 

Public Member Functions

unsafe double GetAngle (int index)
 Gets the i-th angle of the circular frame More...
 
unsafe double GetRadius (int index)
 Gets the i-th radius of the circular frame More...
 
unsafe void SetAngle (int index, double angle)
 Sets the i-th angle of the circular frame More...
 
unsafe void SetRadius (int index, double radius)
 Sets the i-th radius of the circular frame More...
 
- Public Member Functions inherited from NXOpen.GeometricUtilities.ShapeFrameBuilder
unsafe NXOpen.Point2d GetMidpointCoords (int index)
 Gets the coordinates of the i-th midpoint of the frame with respect to the plane More...
 
unsafe NXOpen.Point2d GetVertexCoords (int index)
 Gets the coordinates of the i-th vertex of the frame with respect to the plane More...
 
unsafe void SetMidpointCoords (int index, NXOpen.Point2d coords)
 Sets the coordinates of the i-th midpoint of the frame with respect to the plane More...
 
unsafe void SetVertexCoords (int index, NXOpen.Point2d coords)
 Sets the coordinates of the i-th vertex of the frame with respect to the plane More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.CircularFrameBuilder.Subtypes 
Subtype [get, set]
 Returns or sets the subtype More...
 
- Properties inherited from NXOpen.GeometricUtilities.ShapeFrameBuilder
unsafe
NXOpen.GeometricUtilities.AnchorLocatorBuilder 
Anchor [get]
 Returns the anchor of the frame More...
 
unsafe
NXOpen.GeometricUtilities.ShapeFrameBuilder.AnchorAttachmentType 
AnchorAttachment [get, set]
 Returns or sets the anchor attachment More...
 
unsafe int NumberVertices [get]
 Returns the number of vertices of the frame More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.CircularFrameBuilder

Created in NX6.0.0

Member Enumeration Documentation

Represents the circular frame subtypes

Enumerator
Arbitrary 

Arbitrary circle

Half 

Half circle

Quarter 

Quarter circle

Full 

Full circle

Member Function Documentation

unsafe double NXOpen.GeometricUtilities.CircularFrameBuilder.GetAngle ( int  index)
inline

Gets the i-th angle of the circular frame

Created in NX6.0.0

License requirements: None.

Parameters
indexindex of angle
Returns
angle
unsafe double NXOpen.GeometricUtilities.CircularFrameBuilder.GetRadius ( int  index)
inline

Gets the i-th radius of the circular frame

Created in NX6.0.0

License requirements: None.

Parameters
indexindex of radius
Returns
radius
unsafe void NXOpen.GeometricUtilities.CircularFrameBuilder.SetAngle ( int  index,
double  angle 
)
inline

Sets the i-th angle of the circular frame

Created in NX6.0.0

License requirements: None.

Parameters
indexindex of angle
angleangle
unsafe void NXOpen.GeometricUtilities.CircularFrameBuilder.SetRadius ( int  index,
double  radius 
)
inline

Sets the i-th radius of the circular frame

Created in NX6.0.0

License requirements: None.

Parameters
indexindex of radius
radiusradius

Property Documentation

unsafe NXOpen.GeometricUtilities.CircularFrameBuilder.Subtypes NXOpen.GeometricUtilities.CircularFrameBuilder.Subtype
getset

Returns or sets the subtype

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.